CGAL 6.1 - Classification

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
CGAL::Classification::Feature::Echo_scatter< GeomTraits, PointRange, PointMap, EchoMap > Class Template Reference
Reference Manual » Predefined Features

`#include <CGAL/Classification/Feature/Echo_scatter.h>`

## Inherits from

CGAL::Classification::Feature_base.

## Definition

template<typename GeomTraits, typename PointRange, typename PointMap, typename EchoMap>
class CGAL::Classification::Feature::Echo_scatter< GeomTraits, PointRange, PointMap, EchoMap >

Feature based on echo scatter.

The number of returns (echo number) is a useful information provided by most LIDAR sensors. It can help to identify trees.

Its default name is "echo_scatter".

Template Parameters

  GeomTraits | model of CGAL Kernel.
  PointRange | model of `ConstRange`. Its iterator type is `RandomAccessIterator` and its value type is the key type of `PointMap`.
  PointMap | model of `ReadablePropertyMap` whose key type is the value type of the iterator of `PointRange` and value type is `GeomTraits::Point_3`.
  EchoMap | model of `ReadablePropertyMap` whose key type is the value type of the iterator of `PointRange` and value type is `std::size_t`.

## Public Types
using | Grid = Classification::Planimetric_grid< GeomTraits, PointRange, PointMap >

## Public Member Functions
| Echo_scatter (const PointRange &input, EchoMap echo_map, const Grid &grid, float radius_neighbors=1.)
| constructs the feature.
Public Member Functions inherited from CGAL::Classification::Feature_base
const std::string & | name () const
| returns the name of the feature (initialized to `abstract_feature` for `Feature_base`).
void | set_name (const std::string &name)
| changes the name of the feature.
virtual float | value (std::size_t index)=0
| returns the value taken by the feature for at the item for the item at position `index`.

## Constructor & Destructor Documentation

## ◆ Echo_scatter()

template<typename GeomTraits , typename PointRange , typename PointMap , typename EchoMap >

CGAL::Classification::Feature::Echo_scatter< GeomTraits, PointRange, PointMap, EchoMap >::Echo_scatter | ( | const PointRange & | input,
|  | EchoMap | echo_map,
|  | const Grid & | grid,
|  | float | radius_neighbors = `1.`
| ) |  |

constructs the feature.

Parameters

  input | point range.
  echo_map | property map to access the echo values of the input points.
  grid | precomputed `Planimetric_grid`.
  radius_neighbors | radius of local neighborhoods.